commit: ac79cc33b641f310452e64df422afd95da17f8ea
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Apr 25 20:00:44 2020 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Apr 25 20:00:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ac79cc33
dev-python/check-manifest: now working
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
.../{check-manifest-0.41.ebuild => check-manifest-0.41-r1.ebuild} | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/dev-python/check-manifest/check-manifest-0.41.ebuild
b/dev-python/check-manifest/check-manifest-0.41-r1.ebuild
similarity index 83%
rename from dev-python/check-manifest/check-manifest-0.41.ebuild
rename to dev-python/check-manifest/check-manifest-0.41-r1.ebuild
index 84306ae..bc00f11 100644
--- a/dev-python/check-manifest/check-manifest-0.41.ebuild
+++ b/dev-python/check-manifest/check-manifest-0.41-r1.ebuild
@@ -18,6 +18,8 @@
SRC_URI="https://github.com/mgedmin/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
#install requires, is right?
RDEPEND="
@@ -28,7 +30,10 @@ DEPEND="
${RDEPEND}
test? (
dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
)
"
-distutils_enable_tests nose
+python_test() {
+ nosetests -v -e test_build_sdist || die
+}